summaryrefslogtreecommitdiff
path: root/lib/tests
diff options
context:
space:
mode:
authorThomas Wood <thomas.wood@intel.com>2015-01-28 16:30:54 +0000
committerThomas Wood <thomas.wood@intel.com>2015-02-09 14:39:41 +0000
commitf0516f3d3537d57aa0885212082668db2c4d5df9 (patch)
tree5e841e6d64e39d5d4510d0f46f5df0b37ec414f7 /lib/tests
parent16cfa37a505aaafd26b09b463a562c6985453fae (diff)
lib/tests: verify subtest enumeration output
Check that the subtest list is not empty if using --list-subtests returns with an exit code of 0, and that the list is empty if it returns with 79. Signed-off-by: Thomas Wood <thomas.wood@intel.com>
Diffstat (limited to 'lib/tests')
-rwxr-xr-xlib/tests/igt_command_line.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/lib/tests/igt_command_line.sh b/lib/tests/igt_command_line.sh
index 5cf25843..a057943a 100755
--- a/lib/tests/igt_command_line.sh
+++ b/lib/tests/igt_command_line.sh
@@ -56,8 +56,17 @@ for test in $TESTLIST; do
# check --list-subtests works correctly
echo " Checking subtest enumeration..."
- ./$test --list-subtests > /dev/null
- if [ $? -ne 0 -a $? -ne 79 ]; then
+ LIST=`./$test --list-subtests`
+ RET=$?
+ if [ $RET -ne 0 -a $RET -ne 79 ]; then
+ exit 1
+ fi
+
+ if [ $RET -eq 79 -a -n "$LIST" ]; then
+ exit 1
+ fi
+
+ if [ $RET -eq 0 -a -z "$LIST" ]; then
exit 1
fi